# -*- encoding: utf-8 -*-
# stub: ruby-prof 0.16.2 ruby lib
# stub: ext/ruby_prof/extconf.rb

Gem::Specification.new do |s|
  s.name = "ruby-prof"
  s.version = "0.16.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Shugo Maeda, Charlie Savage, Roger Pack, Stefan Kaes"]
  s.date = "2016-11-11"
  s.description = "ruby-prof is a fast code profiler for Ruby. It is a C extension and\ntherefore is many times faster than the standard Ruby profiler. It\nsupports both flat and graph profiles.  For each method, graph profiles\nshow how long the method ran, which methods called it and which\nmethods it called. RubyProf generate both text and html and can output\nit to standard out or to a file.\n"
  s.email = "shugo@ruby-lang.org, cfis@savagexi.com, rogerdpack@gmail.com, skaes@railsexpress.de"
  s.executables = ["ruby-prof", "ruby-prof-check-trace"]
  s.extensions = ["ext/ruby_prof/extconf.rb"]
  s.files = ["CHANGES", "LICENSE", "README.rdoc", "Rakefile", "bin/ruby-prof", "bin/ruby-prof-check-trace", "doc/LICENSE.html", "doc/README_rdoc.html", "doc/Rack", "doc/Rack.html", "doc/Rack/RubyProf.html", "doc/RubyProf", "doc/RubyProf.html", "doc/RubyProf/AbstractPrinter.html", "doc/RubyProf/AggregateCallInfo.html", "doc/RubyProf/CallInfo.html", "doc/RubyProf/CallInfoPrinter.html", "doc/RubyProf/CallInfoVisitor.html", "doc/RubyProf/CallStackPrinter.html", "doc/RubyProf/CallTreePrinter.html", "doc/RubyProf/Cmd.html", "doc/RubyProf/DotPrinter.html", "doc/RubyProf/FlatPrinter.html", "doc/RubyProf/FlatPrinterWithLineNumbers.html", "doc/RubyProf/GraphHtmlPrinter.html", "doc/RubyProf/GraphPrinter.html", "doc/RubyProf/MethodInfo.html", "doc/RubyProf/MultiPrinter.html", "doc/RubyProf/Profile.html", "doc/RubyProf/ProfileTask.html", "doc/RubyProf/Thread.html", "doc/created.rid", "doc/css", "doc/css/fonts.css", "doc/css/rdoc.css", "doc/examples", "doc/examples/flat_txt.html", "doc/examples/graph_html.html", "doc/examples/graph_txt.html", "doc/fonts", "doc/fonts/SourceCodePro-Bold.ttf", "doc/fonts/SourceCodePro-Regular.ttf", "doc/images", "doc/images/add.png", "doc/images/arrow_up.png", "doc/images/brick.png", "doc/images/brick_link.png", "doc/images/bug.png", "doc/images/bullet_black.png", "doc/images/bullet_toggle_minus.png", "doc/images/bullet_toggle_plus.png", "doc/images/date.png", "doc/images/delete.png", "doc/images/find.png", "doc/images/loadingAnimation.gif", "doc/images/macFFBgHack.png", "doc/images/package.png", "doc/images/page_green.png", "doc/images/page_white_text.png", "doc/images/page_white_width.png", "doc/images/plugin.png", "doc/images/ruby.png", "doc/images/tag_blue.png", "doc/images/tag_green.png", "doc/images/transparent.png", "doc/images/wrench.png", "doc/images/wrench_orange.png", "doc/images/zoom.png", "doc/index.html", "doc/js", "doc/js/darkfish.js", "doc/js/navigation.js", "doc/js/navigation.js.gz", "doc/js/search.js", "doc/js/search_index.js", "doc/js/search_index.js.gz", "doc/js/searcher.js", "doc/js/searcher.js.gz", "doc/table_of_contents.html", "examples/cachegrind.out.1", "examples/cachegrind.out.1.32313213", "examples/flat.txt", "examples/graph.dot", "examples/graph.html", "examples/graph.txt", "examples/multi.flat.txt", "examples/multi.graph.html", "examples/multi.grind.dat", "examples/multi.stack.html", "examples/stack.html", "ext/ruby_prof/extconf.rb", "ext/ruby_prof/rp_call_info.c", "ext/ruby_prof/rp_call_info.h", "ext/ruby_prof/rp_measure.c", "ext/ruby_prof/rp_measure.h", "ext/ruby_prof/rp_measure_allocations.c", "ext/ruby_prof/rp_measure_cpu_time.c", "ext/ruby_prof/rp_measure_gc_runs.c", "ext/ruby_prof/rp_measure_gc_time.c", "ext/ruby_prof/rp_measure_memory.c", "ext/ruby_prof/rp_measure_process_time.c", "ext/ruby_prof/rp_measure_wall_time.c", "ext/ruby_prof/rp_method.c", "ext/ruby_prof/rp_method.h", "ext/ruby_prof/rp_stack.c", "ext/ruby_prof/rp_stack.h", "ext/ruby_prof/rp_thread.c", "ext/ruby_prof/rp_thread.h", "ext/ruby_prof/ruby_prof.c", "ext/ruby_prof/ruby_prof.h", "ext/ruby_prof/vc/ruby_prof.sln", "ext/ruby_prof/vc/ruby_prof_18.vcxproj", "ext/ruby_prof/vc/ruby_prof_19.vcxproj", "ext/ruby_prof/vc/ruby_prof_20.vcxproj", "lib/ruby-prof.rb", "lib/ruby-prof/aggregate_call_info.rb", "lib/ruby-prof/assets/call_stack_printer.css.html", "lib/ruby-prof/assets/call_stack_printer.js.html", "lib/ruby-prof/assets/call_stack_printer.png", "lib/ruby-prof/call_info.rb", "lib/ruby-prof/call_info_visitor.rb", "lib/ruby-prof/compatibility.rb", "lib/ruby-prof/method_info.rb", "lib/ruby-prof/printers/abstract_printer.rb", "lib/ruby-prof/printers/call_info_printer.rb", "lib/ruby-prof/printers/call_stack_printer.rb", "lib/ruby-prof/printers/call_tree_printer.rb", "lib/ruby-prof/printers/dot_printer.rb", "lib/ruby-prof/printers/flat_printer.rb", "lib/ruby-prof/printers/flat_printer_with_line_numbers.rb", "lib/ruby-prof/printers/graph_html_printer.rb", "lib/ruby-prof/printers/graph_printer.rb", "lib/ruby-prof/printers/multi_printer.rb", "lib/ruby-prof/profile.rb", "lib/ruby-prof/rack.rb", "lib/ruby-prof/task.rb", "lib/ruby-prof/thread.rb", "lib/ruby-prof/version.rb", "lib/unprof.rb", "ruby-prof.gemspec", "test/aggregate_test.rb", "test/basic_test.rb", "test/block_test.rb", "test/call_info_test.rb", "test/call_info_visitor_test.rb", "test/duplicate_names_test.rb", "test/dynamic_method_test.rb", "test/enumerable_test.rb", "test/exceptions_test.rb", "test/exclude_threads_test.rb", "test/fiber_test.rb", "test/issue137_test.rb", "test/line_number_test.rb", "test/measure_allocations_test.rb", "test/measure_cpu_time_test.rb", "test/measure_gc_runs_test.rb", "test/measure_gc_time_test.rb", "test/measure_memory_test.rb", "test/measure_process_time_test.rb", "test/measure_wall_time_test.rb", "test/method_elimination_test.rb", "test/module_test.rb", "test/multi_printer_test.rb", "test/no_method_class_test.rb", "test/pause_resume_test.rb", "test/prime.rb", "test/printers_test.rb", "test/printing_recursive_graph_test.rb", "test/rack_test.rb", "test/recursive_test.rb", "test/singleton_test.rb", "test/stack_printer_test.rb", "test/stack_test.rb", "test/start_stop_test.rb", "test/test_helper.rb", "test/thread_test.rb", "test/unique_call_path_test.rb", "test/yarv_test.rb"]
  s.homepage = "https://github.com/ruby-prof/ruby-prof"
  s.licenses = ["BSD-2-Clause"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.5.1"
  s.summary = "Fast Ruby profiler"
  s.test_files = ["test/test_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<minitest>, ["~> 5.8.3"])
      s.add_development_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
    else
      s.add_dependency(%q<minitest>, ["~> 5.8.3"])
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
    end
  else
    s.add_dependency(%q<minitest>, ["~> 5.8.3"])
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
  end
end
